/*
EXAMPLE 6
*/

public class example6{
	public static void main(String[] args){
		System.out.println("ASKISI 1 running");
		Circle a = new Circle(2.0,3.0,4.0);

		Circle b = new Circle(10);

		Circle c = new Circle(a);
	
		Circle d = new Circle();

		System.out.println("1ος Κύκλος" + a.x + a.y + a.r);
		System.out.println("περίμετρος:" +a.circumference());
		System.out.println("επιφάνεια:" +a.area() + "\n");

		System.out.println("2ος Κύκλος"+ b.x + b.y + b.r);
		System.out.println("περίμετρος:" +b.circumference());
		System.out.println("επιφάνεια:" +b.area()+ "\n");

		System.out.println("3ος Κύκλος" + c.x + c.y + c.r);
		System.out.println("περίμετρος:" +c.circumference());
		System.out.println("επιφάνεια:" +c.area() + "\n");

		System.out.println("4ος Κύκλος" + d.x + d.y + d.r);
		System.out.println("περίμετρος:" +d.circumference());
		System.out.println("επιφάνεια:" +d.area() + "\n");

		
		System.out.println("num of circles:"+ Circle.count);
		}
	}

class Circle {
	static int count = 0;
	public double x,y,r;
	public Circle(double x, double y, double r) {
		this.x = x; this.y = y; this.r = r;
		count++;
		}
	public Circle(double r) {this(0.0,0.0,r);}
	public Circle(Circle c) {this(c.x,c.y,c.r);}
	public Circle() {this(0.0,0.0,1.0);}
	public double circumference() {return 2* 3.1416*r;}

        public double area () {return 3.1416*r*r;}
	}